using System;
using System.Globalization;
using System.Windows.Data;

namespace Infragistics.Samples.Converters
{
    public class TimeTicksConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null) return 0;
             
            DateTime time = value is double ? new DateTime(System.Convert.ToInt64((double)value)) : new DateTime();

            if (parameter is string && !string.IsNullOrEmpty((string)parameter))
            {
                return string.Format(string.Format("{{0:{0}}}", parameter), time);
            }
            return time.ToString();
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            //NOTE: The back conversion is not used.
            throw new NotImplementedException();
        }
    }
     
}